## 5 Command line

Synopsis:

         sketch [-h][-V x.y][-v][-b][-d][t doctmp][-T[u|e][p[P|T][L|C]]][-o output.tex]
           [-D tag ...] input1.sk [-U tag ...] input2.sk ...

Description Processes the `sketch` input files in order to produce `PSTricks` output code suitable for inclusion in a TeX or LaTeX document.

Options:

`-h`
  Print a short catalog of options.
`-V`
  Set the `PSTricks` version assumed for output purposes to `x.y`, for example 1.19. Usually needed only if your `PSTricks` is old compared to your `sketch`. Use `-v` to see what `sketch` assumes by default.
`-v`
  Print version information to standard output, including the version of `PSTricks` assumed for output (can be changed with `-V` above).
`-b`
  Use a BSP (See Hidden surface removal.) for all hidden surface removal rather than the default, which is the depth sort algorithm with BSPs used only for cycle resolution. This may produce correct output in certain degenerate cases where the depth sort cannot, but it also leads to many gratuitous splits, hence more anomalies Bugs and anomalies and big output files.
`-d`
  Run `sketch`'s parser in debugging mode. This is primarily for development.
`-t`
  Use contents of file doctmp as a document template in which to enclose `PSTricks` output code. The code is inserted in place of the first instance of the escape string `%%SKETCH_OUTPUT%%`.
`-T`
  Causes `PSTricks` output to be enclosed in default US document template text. Option -Tu is a synonym. Option -Te causes the Euro standard document template to be used. A p appended to any of these options causes the respective default `PSTricks` document template to be printed to standard output. An appended P is a synonym. An appended T causes the the `TikZ/PGF` template to be printed. An appended L prints the LaTeX version of the document template, a synonym for the default. A C prints the `ConTeXt` template.
`-o`
  Use output.tex as the output file. The default is standard output.
`-D`
  Define a tag for purposes of selecting definition alternatives. See Definitions. The definition applies for all input files that follow unless the tag is undefined with -U.
`inputi.sk`
  Input files, read in the sequence they are given.
`-U`
  Un-define a tag for purposes of selecting definition alternatives.